INSTALLBOOT(8)

NAME
installboot - install disk bootstrap software

SYNOPSIS
installboot [-nv] boot bootxx rawdiskdevice

DESCRIPTION
The installboot utility prepares a disk for bootstrapping.

The OpenBSD/alpha disk bootstrap software is split into two parts: a small first-stage boot program that is written into the disklabel area of a disk ( and hence is limited in size to 7680 bytes), and a second-stage boot program that resides in the filesystem proper ( typically with the name /boot). The first-stage boot program is loaded into memory by the SRM console software. After receiving control of the system, it loads the second-stage boot program from a set of filesystem block numbers that have been hard-coded into it by installboot. The second-stage boot program locates and loads the kernel.

The second-stage boot program and the prototype code for the first-stage boot program can be found in /usr/mdec/boot and /usr/mdec/bootxx, respectively. /usr/mdec/boot may be installed simply by copying it to the root directory of the partition you wish to boot from, but after it is installed installboot must be run.

The options recognized by installboot are as follows:

-n  Do not actually write anything on the disk.

-v  Verbose mode.

The arguments are:

boot
    The name of the second-stage boot program in the file system where the first-stage boot program is to be installed.

bootxx
    The name of the prototype file for the first-stage boot program.

rawdiskdevice
    The name of the device corresponding to the raw whole-disk partition (the “raw partition”) of the disk on which the first-stage boot program is to be installed.

EXAMPLES
boot resides in the FFS file system mounted on / from “sd0a”, you would install the first-stage boot program on the disk (and therefore make the disk bootable) by using the command:

    # cp /usr/mdec/boot /boot
    # /usr/mdec/installboot -n -v /boot /usr/mdec/bootxx /dev/rsd0c

And if the information supplied looks right, run the above without the -n flag.

SEE ALSO
disklabel(8), init(8), sysctl(8)

HISTORY
The alpha installboot command first appeared in NetBSD 1.2.

BUGS
The OpenBSD/alpha boot blocks can only load kernels from disks' “a” partitions. (However, the second-stage boot program may be located on any FFS file system partition on the disk.)

Installboot requires simultaneous access to the mounted file system and the disks' raw partition. That is not allowed with the kernel securelevel variable ( see sysctl(8)) set to a value greater than one, or with securelevel set to one if the “boot” program resides in a file system on the disk's raw partition.